Mailinglist Archive: opensuse-updates (86 mails)

< Previous Next >
openSUSE-SU-2014:0616-1: moderate: update for libpng15
openSUSE Security Update: update for libpng15
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0616-1
Rating: moderate
References: #873123 #873124
Cross-References: CVE-2013-7353 CVE-2013-7354
Affected Products:
openSUSE 12.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:


This libpng update fixes the following security issue:

- bnc#873124: Fixed integer overflow leading to a
heap-based buffer overflow in png_set_unknown_chunks()
(CVE-2013-7353).
- bnc#873123: integer overflow leading to a heap-based
buffer overflow in png_set_sPLT() and png_set_text_2()
(CVE-2013-7354)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-345

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

libpng15-15-1.5.13-3.5.1
libpng15-15-debuginfo-1.5.13-3.5.1
libpng15-compat-devel-1.5.13-3.5.1
libpng15-debugsource-1.5.13-3.5.1
libpng15-devel-1.5.13-3.5.1

- openSUSE 12.3 (x86_64):

libpng15-15-32bit-1.5.13-3.5.1
libpng15-15-debuginfo-32bit-1.5.13-3.5.1
libpng15-compat-devel-32bit-1.5.13-3.5.1
libpng15-devel-32bit-1.5.13-3.5.1


References:

http://support.novell.com/security/cve/CVE-2013-7353.html
http://support.novell.com/security/cve/CVE-2013-7354.html
https://bugzilla.novell.com/873123
https://bugzilla.novell.com/873124


< Previous Next >
This Thread
  • No further messages